curl -X GET "https://api.chariow.com/v1/products?per_page=20&type=course" \
-H "Authorization: Bearer sk_live_YOUR_API_KEY"
const response = await fetch('https://api.chariow.com/v1/products?per_page=20&type=course', {
headers: {
'Authorization': 'Bearer sk_live_YOUR_API_KEY'
}
});
const { data } = await response.json();
console.log(data);
$ch = curl_init('https://api.chariow.com/v1/products?per_page=20&type=course');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer sk_live_YOUR_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
import requests
response = requests.get(
'https://api.chariow.com/v1/products',
params={'per_page': 20, 'type': 'course'},
headers={'Authorization': 'Bearer sk_live_YOUR_API_KEY'}
)
data = response.json()
{
"message": "success",
"data": {
"data": [
{
"id": "prd_abc123",
"name": "Premium Course",
"slug": "premium-course",
"type": "course",
"category": {
"value": "education_and_learning",
"label": "Education and Learning"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": "https://cdn.chariow.com/products/abc123/thumb.jpg",
"cover": "https://cdn.chariow.com/products/abc123/cover.jpg"
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
},
"price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
}
}
},
{
"id": "prd_def456",
"name": "Pro Software License",
"slug": "pro-software",
"type": "license",
"category": {
"value": "technology",
"label": "Technology"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": null,
"cover": null
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
},
"price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
}
}
}
],
"pagination": {
"next_cursor": "eyJpZCI6NTB9",
"prev_cursor": null,
"has_more": true
}
},
"errors": []
}
{
"message": "Unauthorised",
"data": [],
"errors": ["Invalid API key"]
}
Products
List Products
Retrieve all published products from your store
curl -X GET "https://api.chariow.com/v1/products?per_page=20&type=course" \
-H "Authorization: Bearer sk_live_YOUR_API_KEY"
const response = await fetch('https://api.chariow.com/v1/products?per_page=20&type=course', {
headers: {
'Authorization': 'Bearer sk_live_YOUR_API_KEY'
}
});
const { data } = await response.json();
console.log(data);
$ch = curl_init('https://api.chariow.com/v1/products?per_page=20&type=course');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer sk_live_YOUR_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
import requests
response = requests.get(
'https://api.chariow.com/v1/products',
params={'per_page': 20, 'type': 'course'},
headers={'Authorization': 'Bearer sk_live_YOUR_API_KEY'}
)
data = response.json()
{
"message": "success",
"data": {
"data": [
{
"id": "prd_abc123",
"name": "Premium Course",
"slug": "premium-course",
"type": "course",
"category": {
"value": "education_and_learning",
"label": "Education and Learning"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": "https://cdn.chariow.com/products/abc123/thumb.jpg",
"cover": "https://cdn.chariow.com/products/abc123/cover.jpg"
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
},
"price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
}
}
},
{
"id": "prd_def456",
"name": "Pro Software License",
"slug": "pro-software",
"type": "license",
"category": {
"value": "technology",
"label": "Technology"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": null,
"cover": null
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
},
"price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
}
}
}
],
"pagination": {
"next_cursor": "eyJpZCI6NTB9",
"prev_cursor": null,
"has_more": true
}
},
"errors": []
}
{
"message": "Unauthorised",
"data": [],
"errors": ["Invalid API key"]
}
Retrieves a cursor-paginated list of all published products in your store. Only products in published status are returned. Supports optional filtering by category, type, or search term.
Query Parameters
integer
default:"10"
Number of products to return per page (maximum 100)
string
Cursor for pagination. Use the
next_cursor from the previous response to fetch the next page.string
Search products by name or slug
string
Filter by product category. Available values:
creative_arts, technology, business_and_finance, personal_development, education_and_learning, entertainment, health_and_wellness, literature_and_publishing, media_and_communication, miscellaneousstring
Filter by product type. Available values:
downloadable, service, course, license, bundle, coachingResponse
string
Response status message
object
Show properties
Show properties
array
Array of product objects
Show product object
Show product object
string
Unique product identifier (e.g.,
prd_abc123)string
Product name
string
URL-friendly product identifier
string
Product type:
downloadable, service, course, license, bundle, or coachingstring
Product status (always
published for public API)boolean
Whether the product is free
object
Show properties
Show properties
array
Array of error messages (empty on success)
curl -X GET "https://api.chariow.com/v1/products?per_page=20&type=course" \
-H "Authorization: Bearer sk_live_YOUR_API_KEY"
const response = await fetch('https://api.chariow.com/v1/products?per_page=20&type=course', {
headers: {
'Authorization': 'Bearer sk_live_YOUR_API_KEY'
}
});
const { data } = await response.json();
console.log(data);
$ch = curl_init('https://api.chariow.com/v1/products?per_page=20&type=course');
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer sk_live_YOUR_API_KEY'
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
$data = json_decode($response, true);
import requests
response = requests.get(
'https://api.chariow.com/v1/products',
params={'per_page': 20, 'type': 'course'},
headers={'Authorization': 'Bearer sk_live_YOUR_API_KEY'}
)
data = response.json()
{
"message": "success",
"data": {
"data": [
{
"id": "prd_abc123",
"name": "Premium Course",
"slug": "premium-course",
"type": "course",
"category": {
"value": "education_and_learning",
"label": "Education and Learning"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": "https://cdn.chariow.com/products/abc123/thumb.jpg",
"cover": "https://cdn.chariow.com/products/abc123/cover.jpg"
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
},
"price": {
"value": 99.00,
"formatted": "$99.00",
"short": "99",
"currency": "USD"
}
}
},
{
"id": "prd_def456",
"name": "Pro Software License",
"slug": "pro-software",
"type": "license",
"category": {
"value": "technology",
"label": "Technology"
},
"status": "published",
"is_free": false,
"pictures": {
"thumbnail": null,
"cover": null
},
"pricing": {
"type": "one_time",
"current_price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
},
"price": {
"value": 49.00,
"formatted": "$49.00",
"short": "49",
"currency": "USD"
}
}
}
],
"pagination": {
"next_cursor": "eyJpZCI6NTB9",
"prev_cursor": null,
"has_more": true
}
},
"errors": []
}
{
"message": "Unauthorised",
"data": [],
"errors": ["Invalid API key"]
}
Was this page helpful?
⌘I